/**
 * Задание 3.
 *
 * Написать функцию truncate, которая «обрезает» слишком длинную строку,
 * добавив в конце троеточие «...».
 *
 * Функция обладает двумя параметрами:
 * - Исходная строка для обрезки;
 * - Допустимая длина строки.
 *
 * Если строка длиннее, чем её допустимая длина — её необходимо обрезать,
 * и конкатенировать к концу три точки так, чтобы вместе с ним длина
 * строки была равно максимально допустимой длине строки из второго параметра.
 *
 * Если строка не длиннее, чем её допустимая длина, то оставляем её как есть.
 * 
 */

function truncate(str, maxLength) {

	if (str.length > maxLength) {
		return str.slice(0, maxLength - 3) + '...';
	} else {
		return str;
	}

}

console.log(truncate('Hello, world!', 5));